aboutsummaryrefslogtreecommitdiffstats
path: root/main/font-mutt-misc/APKBUILD
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-17 08:20:27 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:06 +0000
commita3a091875e4457f71ccee5159c43ec493c286969 (patch)
tree0c00d0bc65f51d7c35306c68a2e73001973ffeb9 /main/font-mutt-misc/APKBUILD
parentc6e856704cfaf6df73312d57fa57550fb5804b3c (diff)
downloadaports-a3a091875e4457f71ccee5159c43ec493c286969.tar.gz
aports-a3a091875e4457f71ccee5159c43ec493c286969.tar.bz2
aports-a3a091875e4457f71ccee5159c43ec493c286969.tar.xz
main/font-mutt-misc: upgrade to 1.0.3
Diffstat (limited to 'main/font-mutt-misc/APKBUILD')
-rw-r--r--main/font-mutt-misc/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-mutt-misc/APKBUILD b/main/font-mutt-misc/APKBUILD
index b5b6eaece5..f80f6932a6 100644
--- a/main/font-mutt-misc/APKBUILD
+++ b/main/font-mutt-misc/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-mutt-misc
-pkgver=1.0.0
-pkgrel=3
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org misc font"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/misc \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="648b409b7eb78ad1cd5f6d7fac3eef88 font-mutt-misc-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="56b0296e8862fc1df5cdbb4efe604e86 font-mutt-misc-1.0.3.tar.bz2"
+sha256sums="bd5f7adb34367c197773a9801df5bce7b019664941900b2a31fbfe1ff2830f8f font-mutt-misc-1.0.3.tar.bz2"
+sha512sums="7b152f6c1464d806b1f76664d9b619858c3cb3ea63027b6be1f69897e939e3a0b5312ddf230e0a42a8f3e3701e50f41917cac6ce566c05bc74dfa49bdf2ed4db font-mutt-misc-1.0.3.tar.bz2"